{% load static %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
    <link href="{% static 'navbar.css' %}" rel="stylesheet" type="text/css">
    <link href="{% static 'table_style.css' %}" rel="stylesheet" type="text/css">

    <title>Note Table</title>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-light">
        <div class="container-fluid">
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="..">My Profile</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="../lab-1/friends">My Friend List</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="../lab-2">My Letter</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="../lab-3">Lab 3</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="../lab-4">Note Table</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="../lab-4/note-list">Note Card</a>
              </li>
            </ul>
          </div>
        </div>
      </nav>
  <body>
    <div class="container">
    <div class="text-center">
    <table class="table table-striped">
      <thead>
      <tr>
        <th>To</th>
        <th>From</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
    </thead>
      <!-- TODO loop from Friend model -->
      <tr>
        {% if note %}
          {% for notes in note %}
              <tr>
                <td>{{notes.To}}</td>
                <td>{{notes.From}}</td>
                <td>{{notes.Title}}</td>
                <td>{{notes.Message}}</td>
              </tr>
          {% endfor %}
        {% endif %}
        </tr>
    </table>
    <button class="btn btn-primary" onclick="window.location.href='add-note'">
      Add Note
     </button>
     <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>
  </div>
  </div>
  </body>
</html>